data perfume2f(keep=persona genero y1-y4)
perfume2f2 (keep=persona genero dosis y);
input persona genero$ y1-y4;
output perfume2f;
y=y1; dosis =500; output perfume2f2;
y=y2; dosis =1000; output perfume2f2;
y=y3; dosis =1500; output perfume2f2;
y=y4; dosis =2000; output perfume2f2;
datalines;

1 H 1 3 4 4
2 H 2 2 5 6
3 H 1 4 1 7
4 H 1 4 4 5
5 H 3 2 4 3
6 H 1 2 3 6
7 H 2 2 5 5
8 H 1 3 5 3
9 H 2 3 3 3
10 H 2 2 5 6
11 M 2 5 4 6
12 M 4 2 5 4
13 M 1 3 4 7
14 M 2 3 5 4
15 M 1 3 6 5
16 M 2 3 5 4
17 M 3 4 4 4
18 M 3 4 7 4
19 M 4 3 4 5
20 M 2 4 4 6
;

proc glm data=perfume2f;
class genero;
model y1-y4=genero / nouni;
repeated dosis 4  / printe;
run;

proc mixed data=perfume2f2;
class genero dosis persona;
model y = genero|dosis;
repeated / type=cs sub=persona;
run;

proc mixed data=perfume2f2;
class genero dosis persona;
model y = genero|dosis;
repeated / type=hf sub=persona;
run;

proc mixed data=perfume2f2;
class genero dosis persona;
model y = genero|dosis;
repeated / type=un sub=persona;
run;

/* Nos quedamos con el modelo de simetra compuesta ya que su AIC y BIC son los ms bajos */
