data perfume2fMRglm;
input persona y1-y6;
datalines;
1 3 4 5 5 6 5
2 4 4 4 6 7 4
3 4 6 7 4 6 7
4 4 4 5 5 7 7
5 2 4 5 5 4 7
6 2 3 7 5 6 7
7 4 3 5 4 7 6
8 6 6 5 6 6 6
9 4 6 6 7 3 7
10 4 5 4 4 6 6
;

data perfume2fMRmixed;
set perfume2fMRglm;
y = y1; dosis=1;flor=1; output;
y = y2; dosis=1;flor=2; output;
y = y3; dosis=1;flor=3; output;

y = y4; dosis=2;flor=1; output;
y = y5; dosis=2;flor=2; output;
y = y6; dosis=2;flor=3; output;
drop y1-y6;
run;

proc glm data=perfume2fMRglm;
model y1-y6= / nouni;
repeated dosis 2, flor 3 /printe;
run;

proc mixed data = perfume2fMRmixed;
class persona dosis flor;
model y = dosis flor dosis*flor;
repeated / subject=persona type=cs;
run;

proc mixed data = perfume2fMRmixed;
class persona dosis flor;
model y = dosis flor dosis*flor;
repeated / subject=persona type=hf;
run;

proc mixed data = perfume2fMRmixed;
class persona dosis flor;
model y = dosis flor dosis*flor;
repeated / subject=persona type=un;
run;
