data concurso;                                                                                                                                
input participante y1-y4;
datalines;                                                                                                                              
1 8 7 1 6
2 9 5 2 5
3 6 2 3 8
4 5 3 1 9
5 8 4 5 -
6 7 5 6 7
7 10 2 7 2
8 12 6 8 1
; 
data concurso2 (keep=participante comida y);                                                                                                                                
input participante y1-y4;
y=y1; comida =1; output concurso2;
y=y2; comida =2; output concurso2;
y=y3; comida =3; output concurso2;
y=y4; comida =4; output concurso2;
datalines;                                                                                                                              
1 8 7 1 6
2 9 5 2 5
3 6 2 3 8
4 5 3 1 9
5 8 4 5 -
6 7 5 6 7
7 10 2 7 2
8 12 6 8 1
; 

proc glm data = concurso;
model y1-y4=/ nouni;
repeated comida 4 / printe;
run;

proc mixed data = concurso2;
class comida participante;
model y = comida;
repeated / type = cs sub = participante;
run; 

proc mixed data = concurso2;
class comida participante;
model y = comida;
repeated / type = hf sub = participante;
run;
 
proc mixed data = concurso2;
class comida participante;
model y = comida;
repeated / type = un sub = participante;
run; 

/* -------------------------- COMPLETO --------------------------- */
data concurso_completo;                                                                                                                                
input participante y1-y4;
datalines;                                                                                                                              
1 8 7 1 6
2 9 5 2 5
3 6 2 3 8
4 5 3 1 9
5 8 4 5 8
6 7 5 6 7
7 10 2 7 2
8 12 6 8 1
; 
data concurso2_completo (keep=participante comida y);                                                                                                                                
input participante y1-y4;
y=y1; comida =1; output concurso2_completo;
y=y2; comida =2; output concurso2_completo;
y=y3; comida =3; output concurso2_completo;
y=y4; comida =4; output concurso2_completo;
datalines;                                                                                                                              
1 8 7 1 6
2 9 5 2 5
3 6 2 3 8
4 5 3 1 9
5 8 4 5 8
6 7 5 6 7
7 10 2 7 2
8 12 6 8 1
; 

proc glm data = concurso_completo;
model y1-y4=/ nouni;
repeated comida 4 / printe;
run;

proc mixed data = concurso2_completo;
class comida participante;
model y = comida;
repeated / type = cs sub = participante;
run; 
