data perfume(keep=persona y1-y4);
input persona y1-y4;
output perfume;
datalines;
1 1 3 4 4
2 2 2 5 6
3 2 5 4 6
4 2 3 5 4
5 1 3 4 7
6 1 4 4 5
7 2 3 5 4
8 4 3 4 5
9 2 4 4 6
10 2 2 5 6
11 2 3 3 3
12 1 4 1 7
13 4 2 5 4
14 1 3 6 5
15 2 2 5 5
16 1 3 5 3
17 1 2 3 6
18 3 4 4 4
19 3 4 7 4
20 3 2 4 3
;

proc glm data = perfume;
model y1-y4=/ nouni;
repeated dosis 4 / printe;
run;

/* PROC MIXED */
data perfume2(keep=persona dosis y);
input persona y1-y4;
y=y1; dosis =500; output perfume2;
y=y2; dosis =1000; output perfume2;
y=y3; dosis =1500; output perfume2;
y=y4; dosis =2000; output perfume2;
datalines;
1 1 3 4 4
2 2 2 5 6
3 2 5 4 6
4 2 3 5 4
5 1 3 4 7
6 1 4 4 5
7 2 3 5 4
8 4 3 4 5
9 2 4 4 6
10 2 2 5 6
11 2 3 3 3
12 1 4 1 7
13 4 2 5 4
14 1 3 6 5
15 2 2 5 5
16 1 3 5 3
17 1 2 3 6
18 3 4 4 4
19 3 4 7 4
20 3 2 4 3
;

proc mixed data = perfume2;
class dosis persona;
model y = dosis;
repeated / type = cs sub = persona;
run;

proc mixed data = perfume2;
class dosis persona;
model y = dosis;
repeated / type = hf sub = persona;
run;

proc mixed data = perfume2;
class dosis persona;
model y = dosis;
repeated / type = un sub = persona;
run;
 
/*Fijndonos en el AIC y BIC (cuanto ms pequeo mejor) vemos que compound symmetry ser la mejor estructura de covarianza */
